Subject: Re: [bitcoin-dev] BIP proposal: No chaining off replaceable transactions

From: Gregory Maxwell <[email-masked]>
Date: Mon, 3 Jul 2017 02:28:34 +0000

On Sun, Jul 2, 2017 at 9:01 PM, Rhavar <[email-masked]> wrote:
> That's not really realistic. In practice some receivers do big sweeps and
> include unconfirmed inputs. Replacing the transaction means you need to pay
> the cost of the sweep, which you probably don't want to do (can be in the
> order of $100s of dollars).

Perhaps I am not following what you're saying here.

If the receiver is paying a higher feerate than your replacement,
he'll get it confirmed as fast or faster than your replacement in any
case.